net.corda.flows

## Interface ServiceRequestMessage

- All Known Implementing Classes:
    NetworkMapService.FetchMapRequest, NetworkMapService.QueryIdentityRequest, NetworkMapService.RegistrationRequest, NetworkMapService.SubscribeRequest

      public ServiceRequestMessage

  Abstract superclass for request messages sent to services which expect a reply.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `SingleMessageRecipient` | `getReplyTo()`
    `long` | `getSessionID()`

- - ### Method Detail

    - #### getSessionID

          long getSessionID()

    - #### getReplyTo

          SingleMessageRecipient getReplyTo()